* 2.4.83
- Remove remote log to trace build execution of the web project
== Eunyoung Lee <ey928.lee@samsung.com> 2025-04-09
* 2.4.82
- Add remote logs to analyze usage patterns
== Eunyoung Lee <ey928.lee@samsung.com> 2025-04-09
* 2.4.81
- Add log4j v2 jars
== Farhat Aman <f.aman@samsung.com> 2025-03-12
* 2.4.74
- Fix issue of multiple logs added while project creation
== Vivek Ellur <vivek.ellur@samsung.com> 2025-03-03
* 2.4.72
- Remove sample option from tizen studio wizard page
== Vivek Ellur <vivek.ellur@samsung.com> 2025-02-17
* 2.4.69
- Allow default certificate for Tizen profile
== Adhavan M <adhavan.m@samsung.com> 2025-02-13
* 2.4.62
- Remove netcat executable
== Vivek Ellur <vivek.ellur@samsung.com> 2024-09-26
* 2.4.59
- Fix notarization issue
== Vivek Ellur <vivek.ellur@samsung.com> 2024-09-19
* 2.4.58
- Update wizard icon for mobile/wearable wizard
== Vivek Ellur <vivek.ellur@samsung.com> 2023-05-26
* 2.4.57
- Fix warning popup during install of tizen web project
== Vivek Ellur <vivek.ellur@samsung.com> 2023-05-25
* 2.4.56
- Add tizen
== Sangwook Lee <sangwook96.lee@samsung.com> 2023-05-24
* 2.4.55
- Initial changes to support tizen profile in wizard
== Vivek Ellur <vivek.ellur@samsung.com> 2023-05-22
* 2.4.54
- Include product name in profile logging
== Adhavan M <adhavan.m@samsung.com> 2022-10-03
* 2.4.53
- Corrected return for IProject check
== Vikash Minz <vikash.minz@samsung.com> 2021-05-19
* 2.4.52
- Added version check for dlogutil
== Vikash Minz <vikash.minz@samsung.com> 2020-12-03
* 2.4.51
- Disable color log
== sangwook lee <sangwook96.lee@samsung.com> 2020-11-25
* 2.4.50
- Log Project profile, Version and User OS
== Karthik Bhat <kv.bhat@samsung.com> 2020-11-24
* 2.4.49
- Modify LogViewer UX
== Vikash Minz <vikash.minz@samsung.com> 2020-11-24
* 2.4.48
- reverting sdk-utils remotelogger integration
== Nandan Goel <nandan.goel@samsung.com> 2020-11-06
* 2.4.47
- Adding IDE Analytics change
== Nandan Goel <nandan.goel@samsung.com> 2020-10-06
* 2.4.46
- Revert --> Revert: Adding support for Silent level logs
- Adding S Log Changes to common eplugin
== Yash Kapoor <yash.kapoor@samsung.com> 2020-11-05
* 2.4.45
- Revert: Adding support for Silent level logs
== Yash Kapoor <yash.kapoor@samsung.com> 2020-11-04
* 2.4.44
- Adding support for Silent level logs
== Yash Kapoor <yash.kapoor@samsung.com> 2020-11-04
* 2.4.43
- Enable passing package version during on-demand install
== Karthik Bhat <kv.bhat@samsung.com> 2020-10-06
* 2.4.42
- Fix log not displayed when they are colored
== Karthik Bhat <kv.bhat@samsung.com> 2020-09-29
* 2.4.41
- SPI implementation for base 64 falback modifying class loader
== Yash Kapoor <yash.kapoor@samsung.com> 2020-09-10
* 2.4.40
- SPI implementation for base 64 falback
== Yash Kapoor <yash.kapoor@samsung.com> 2020-09-09
* 2.4.39
- convert armv8 name to aarch64
== sangwook lee<sangwook96.lee@samsung.com> 2020-08-26
* 2.4.38
- [TizenStudio3.x][logviewer] Logviewer doesn't work properly
== Sangwook lee<sangwook96.lee@samsung.com> 2020-08-03
* 2.4.37
- Fixed pkginfo.manifest file format
== Aditya Aswani<a.aswani@samsung.com> 2020-08-03
* 2.4.36
- Removed direct dependency on registry to get appdata loacl path
- Updated webkit dependencies
- Fix SPTSDKUX-5563 and SPTSDKUX-5559
- Updated toolbar icon
- Added Battery Historian launch option in tizen studio tool menu and toolbar and added install dependency
== Aditya Aswani<a.aswani@samsung.com> 2020-08-03
* 2.4.28
- Updated the c-prerequisite of libwebkit
- Adding support for embedded java
== Aditya Aswani<a.aswani@samsung.com> 2020-03-02
* 2.4.26
- Adding Unit Test Project to Core App to enable Multi Project Test App package generation
== Manish Rathod<manish.r@samsung.com> 2020-03-02
* 2.4.25
- version Up
== Aditya Aswani<a.aswani@samsung.com> 2020-02-04
* 2.4.24
- Fixed import wizard ui hang and overlapping table issues
== Aditya Aswani<a.aswani@samsung.com> 2019-11-22
* 2.4.22
- Fix issue in packaging if different profiles are used
== Aditya Aswani<a.aswani@samsung.com> 2019-10-24
* 2.4.21
- Overflowing text fixed in Flat View
== Kapil Jhuria<kapil.jhuria@samsung.com> 2019-10-15
* 2.4.20
- Profile version ordering fixed in Flat view, Blocked next page if no profile selected in flat view, Removed not installed profiles from flat view
== Aditya Aswani<a.aswani@samsung.com> 2019-10-11
* 2.4.19
- TV app not launching on TV emulator
== Aditya Aswani<a.aswani@samsung.com> 2019-10-03
* 2.4.18
- Update Parent profile info
== Vidhyadhar Jain<vidhyadhar.1@samsung.com> 2019-10-01
* 2.4.17
- Support Component-based-application Appmodel 
== Kapil Jhuria<kapil.jhuria@samsung.com> 2019-09-25
* 2.4.16
- Moved all extension profiles under their respective parent profile category in project wizard
== Aditya Aswani <a.aswani@samsung.com> 2019-09-17
* 2.4.15
- Tv-Samsung And Flat View Implementation
== Kapil Jhuria <kapil.jhuria@samsung.com> 2019-09-03
* 2.4.14
- Delete license files
== sangwook lee <sangwook96.lee@samsung.com> 2019-09-02
* 2.4.13
- Updated Regex to handle "-" in GMT time
== Rahul Dadhich <r.dadhich@samsung.com> 2018-06-25
* 2.4.12
- Disabled Log View as crash occuring n loading FXCanvas class
== Aditya Aswani<a.aswani@samsung.com> 2019-06-13
* 2.4.11
- fixed deprecated unselected-hot-tab-color-background issue
- Widget disposed exception fixed
- Added contains check before removing key from map
== Vikash Minz<vikash.minz@samsung.com> 2019-06-07
* 2.4.10
- Corrected logic to update device descriptor on device disconnect which results into app launch if emulator is multiple time swtiched off
== Rahul Dadhich<r.dadhich@samsung.com> 2019-05-13
* 2.4.9
- Synced with tizen_studio_3.0
== Aditya Aswani <a.aswani@samsung.com> 2019-03-05
* 2.4.1
- Add ocf-bridge dependency to resolve cyclic deps
== Aditya Aswani <a.aswani@samsung.com> 2018-11-23
* 2.4.0
- new branch for support tizen studio 3.5
== Vikash Minz <vikash.minz@samsung.com> 2018-11-15
* 2.3.295
- Supported sudo with tizen cli in ubuntu
== Aditya Aswani <a.aswani@samsung.com> 2018-10-06
* 2.3.294
- Resolved error in handling pwd files when default distributor is used
== Aditya Aswani <a.aswani@samsung.com> 2018-09-27
* 2.3.293
- SVACE issue and space in keyfile path issue fix.
== Vikash Minz <vikash.minz@samsung.com> 2018-09-19
* 2.3.285
- sync with develop
== Rahul Dadhich <r.dadhich@samsung.com> 2018-09-11
* 2.3.284
- Changing file separator in case of excluding file based on OS.
== Rahul Dadhich <r.dadhich@samsung.com> 2018-08-16
* 2.3.283
- Continue packaging even if IoT Certificate is not present
== Karthik Bhat <kv.bhat@samsung.com> 2018-08-24
* 2.3.282
- Report Error when trying to convert to UIBuilder 5.0 project
== Karthik Bhat <kv.bhat@samsung.com> 2018-08-24
* 2.3.281
- Version Up for DIBS Build
== Aditya Sharma <adi.sharma@samsung.com> 2018-08-16
* 2.3.280
- [SPTSDKUX-5462] New project creation shows templates, if default selection is Sample.
== Vidhyadhar Jain <vidhyadhar.1@samsung.com> 2018-07-28
* 2.3.279
- Version Up for DIBS build
== Kapil Jhuria <kapil.jhuria@samsung.com> 2018-06-13
* 2.3.278
- Add support for NaCl and WASM property page for sample apps
== Aditya Sharma <adi.sharma@samsung.com> 2018-05-18
* 2.3.277
- [SPTSDKUX-5438] Corrected log filtering functionality
== Rahul Dadhich <r.dadhich@samsung.com> 2018-05-14
* 2.3.276
- [SPTSDKUX-5436]Add new tab button listener works on centre only in Log Tab
== Rahul Dadhich <r.dadhich@samsung.com> 2018-05-10
* 2.3.275
- Adding getSdbdPluginVersion api
== Manish Rathod <manish.r@samsung.com> 2018-05-03
* 2.3.274
- [SPTSDKUX-5407] Added default new service action on new button in rest viewer
== Rahul Dadhich <r.dadhich@samsung.com> 2018-04-17
* 2.3.273
- Adding Legacy Support to becomeSuperUser,isBootingDone,getEnvironmentValue function's
== Manish Rathod <manish.r@samsung.com> 2018-02-17
* 2.3.272
- [SPTSDKUX-5378] App install fail message improvement fix
== Sachin Araballi <sachin.a@samsung.com> 2018-02-17
* 2.3.271
- [SPTSDKUX-5382] Fix Log View not displayed with JAVA 9
== Sachin Araballi <sachin.a@samsung.com> 2018-02-16
* 2.3.270
- Addition of extensions .pem and .der to certificate files after building
== Sachin Araballi <sachin.a@samsung.com> 2018-02-08
* 2.3.269
- Setting current connected device to null in case of last connected device is disconnected
== Rahul Dadhich <r.dadhich@samsung.com> 2018-02-06
* 2.3.268
- Fix Sync issue between Device manager and Common plugin
== Karthik Bhat <kv.bhat@samsung.com> 2018-02-02
* 2.3.267
- [SPTSDKUX-5348] Disable RDS by default
== Karthik Bhat <kv.bhat@samsung.com> 2018-01-18
* 2.3.266
- Version Up for DIBS Build
== Karthik Bhat <kv.bhat@samsung.com> 2018-01-10
* 2.3.265
- Add changes for IoT Smarthings Certification
== Karthik Bhat <kv.bhat@samsung.com> 2018-01-09
* 2.3.264
- A bug where the auto update checkbox is locked with disabled when
canceling update check.
- fixed Part of the convert wizard is cut off bug.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-12-04
* 2.3.263
- DUID: fix a missing parameter.
- Log View: Change target device name in Add Log Tab dialog.
== Sujin Kim <sujin921.kim@samsung.com> 2017-12-01
* 2.3.262
- Potential bug fixes for https proxy settings.
== Juhan Kim <juhan1.kim@samsung.com> 2017-11-28
* 2.3.261
- Fixed project import bug using existing profile-util api.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-11-27
* 2.3.260
- Added information about automatic updates.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-11-23
* 2.3.259
- WIZARD: support https in sample site.
== Juhan kim <juhan1.kim@samsung.com> 2017-11-22
* 2.3.258
- Added automatic update settings page to preferences.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-11-21
* 2.3.257
- Log View: Allows minor version over the 3 depth of target platform.
== Sujin Kim <sujin921.kim@samsung.com> 2017-11-13
* 2.3.256
- Remote Device Manager: Fix some bugs and resolve mbcs sdb path.
== Sujin Kim <sujin921.kim@samsung.com> 2017-11-08
* 2.3.255
- Svace: Fix Critical bugs.
== Sujin Kim <sujin921.kim@samsung.com> 2017-10-31
* 2.3.254
- OCF : 'Finish' button should be enabled on device selection page 
- OCF : Fix wrong variable name
- OCF : Supports device selection page on project wizard
- Svace: Fix Critical bugs.
- SVACE: fixed critical issues. 
== Sujin Kim <sujin921.kim@samsung.com> 2017-10-17
* 2.3.253
- Applied to the toolbar icon for device-manager.
- Applied to the toolbar icon for certificate-manager.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2017-10-17
* 2.3.252
- bug fix - NPE when run as Tizen application using old workspace
- Certificate Manager is executed from Tizen Studio on MacOS
== WooJin Jung <woojin2.jung@samsung.com> 2017-10-13
* 2.3.251
- Applied to the toolbar icon for device-manager.
- Applied to the toolbar icon for certificate-manager.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2017-10-13
* 2.3.250
- auto migration of profiles.xml from old workspace
== WooJin Jung <woojin2.jung@samsung.com> 2017-10-11
* 2.3.249
- use Certificate Manager in Tizen Studio
- modify profile notify popup.
== Juhan Kim <juhan1.kim@samsung.com> 2017-10-10
* 2.3.248
- Log View: Change message filtering to containing the filter value from startwith.
== Sujin Kim <sujin921.kim@samsung.com> 2017-10-10
* 2.3.247
- Fixed wearable2.3.2 fased-deploy to work.
- Fixed under 2.3.x version device initialize problem.
- Fixed a bug that is project wizard without custom profile.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-09-28
* 2.3.246
- Log View: Support multiple log from dlogutil.
== Sujin Kim <sujin921.kim@samsung.com> 2017-09-27
* 2.3.245
- add getUseSystemCertsOfTrustAnchor() method.
- callStackView 3.0 support
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-09-26
* 2.3.244
- Applied to the toolbar menu for device-manager.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2017-09-25
* 2.3.243
- rollback to use legacy sdb command
- Added -G option to reinstall.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-09-21
* 2.3.242
- Fixed sdb push / pull bug.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-09-20
* 2.3.241
- Add getAppId() API to RdsDeployer.
- Removes the Connection Explorer View.
== Sujin Kim <sujin921.kim@samsung.com> 2017-09-20
* 2.3.240
- Fixed bugs detected by SVACE and applying Protex result.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-09-19
* 2.3.239
- Fixed a bug that did not properly recognize arch value in 2.3.x version.
== Jooyoul Lee <jy.exe.lee@samsung.com> 2017-09-15
* 2.3.238
- Apply log table style.
== SuJin Kim <sujin921.kim@samsung.com> 2017-09-14
* 2.3.237
- add checking code whether connected device is empty.
- extract resources folder to jar file.
- Correct typos of dependency. 
- Add workaround for loading javafx system library.
== SuJin Kim <sujin921.kim@samsung.com> 2017-09-13
* 2.3.236
- Device.isSupportShell() API fixed.
- LogView ID fixed.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-09-13
* 2.3.235
- Remove javafx libraries from classpath.
== SuJin Kim <sujin921.kim@samsung.com> 2017-09-12
* 2.3.234
- Add information of license.
- Apply new UX of Log View with JavaFX to IDE.
== SuJin Kim <sujin921.kim@samsung.com> 2017-09-08
* 2.3.233
- fast-deploy, ondemand
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-09-05
* 2.3.232
- add extractTarPackage api.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-09-05
* 2.3.231
- package-info bug fixed.
- delete capability check code.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-08-30
* 2.3.230
- RDS reinstall bug fixed.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-08-25
* 2.3.229
- Apply FastDeploy feature.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-08-23
* 2.3.228
- Native widget app launch bug fixed.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-08-17
* 2.3.227
- prohibit importing author certificates into distributor certificate slot
== WooJin Jung <woojin2.jung@samsung.com> 2017-07-13
* 2.3.226
- Enhanced OnDemand-Install error handling.
- Add custom profile square into develop.
== JooYoul Lee <jy.exe.lee@samsung.com>
* 2.3.225
- IDE command integration applied.
- mkdir result check bug fixed.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-05-19
* 2.3.224
- Package version up for DIBS full build
== Hyeongseok Heo <harry.heo@samsung.com> 2017-05-16
* 2.3.223
- MISC: modify parameter check method of SigningPrompter.java
- MISC: Modified userstring about launch with 2.3 web wearable service app.
== Juhan Kim <juhan1.kim@samsung.com> 2017-04-10
* 2.3.222
- Launch: For web service apps, open a dialog to verify the certificate.
== Juhan Kim <juhan1.kim@samsung.com> 2017-04-07
* 2.3.221
- PATH: Allows two digits or more integers as version.
== SuJin Kim <sujin921.kim@samsung.com> 2017-04-03
* 2.3.220
- fix bug - emulator cannot start from toolbar when install path has spaces 
== WooJin Jung <woojin2.jung@samsung.com> 2017-03-10
* 2.3.219
- Update the sdk-utils jar files
== SuJin Kim <sujin921.kim@samsung.com> 2017-03-10
* 2.3.218
- Fixed a "Open Shell" problem on the installed path including white space.
- Changed the sdk_toolpath constant to a function for version control.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-03-09
* 2.3.217
- Add capability check
- getPid function name changes easily for the user to understand.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-02-27
* 2.3.216
- allow multibyte character, space, and special character in install path
== WooJin Jung <woojin2.jung@samsung.com> 2017-02-23
* 2.3.215
- modify read method logic.
== Juhan Kim <juhan1.kim@samsung.com> 2017-01-26
* 2.3.214
- Fix profile tag typo.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-01-09
* 2.3.213
- combo tooltip bug fix.
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-01-09
* 2.3.212
- Change the title name to upper case.
- add tooltip to combo.
- change warning icon
== JooYoul Lee <jy.exe.lee@samsung.com> 2017-01-09
* 2.3.211
- fix verifing the file's architecture
- modify wgt import process
== Gun Kim <gune.kim@samsung.com> 2017-01-09
* 2.3.210
- modify a way of getting appID for launching app
- change tooltip text
== Gun Kim <gune.kim@samsung.com> 2017-01-06
* 2.3.209
- REMOTE_DEVICE: improve the message of connection failure
== HyunJong Park <paulhj.park@samsung.com> 2016-12-27
* 2.3.208
- change project table design. fix bugs.
== JooYoul Lee <jy.exe.lee@samsung.com> 2016-12-22
* 2.3.207
- add .wgt file support
- modify native project detecting
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-12-21
* 2.3.206
-Merge branch 'F_import_wizard' into develop
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-12-15
* 2.3.205
- Modify a way of getting PID
- Add some comments for ImageButton
== Gun Kim <gune.kim@samsung.com> 2016-12-14
* 2.3.204
- SDBLIB: Change the path to save package file
== SangJin Kim <sangjin3.kim@samsung.com> 2016-12-09
* 2.3.203
- REMOTE_DEVIDE: print the port value(26101) when add device
== HyunJong Park <paulhj.park@samsung.com> 2016-12-06
* 2.3.202
- modify the api to show TV profile information
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-12-05
* 2.3.201
- delete unnecessary file
- apply adaptive layout
- add rounded corner mask for dynamic masking
- restore Install New Software menu
== GiWoong Kim <giwoong.kim@samsung.com> 2016-12-05
* 2.3.200
- modify app command protocol for uninstall command
== SangJin Kim <sangjin3.kim@samsung.com> 2016-11-30
* 2.3.199
- fix a way of getting PID
- support partner level certificate
== Gun Kim <gune.kim@samsung.com> 2016-11-29
* 2.3.198
- TARGETCOMBO: fix a bug about launching app with off emul
== JaeMin Kim <jm.jemin.kim@samsung.com> 2016-11-25
* 2.3.197
- WIZARD: modify to activate the scroll bar on Tizen Project Wizard
== Yoonki Park <yoonki.park@samsung.com> 2016-11-24
* 2.3.196
- REMOTE DEVICE: change the error message of connection failure
- WIZARD: modify location text input to read only
- WIZARD: modify next page button enablement
- SIGN: add password validation when importing certificates
- SIGN: fix bug - description of intro dialog is cut
- WIZARD: fix project duplication on table
== HyunJong Park <paulhj.park@samsung.com> 2016-11-17
* 2.3.195
- change background color of toolbar in divided editor part
== GiWoong Kim <giwoong.kim@samsung.com> 2016-11-15
* 2.3.194
- SDBLIB : Add the PlatformCapability.getAppid2PidSupport() api.
== SangJin Kim <sangjin3.kim@samsung.com> 2016-11-14
* 2.3.193
- REMOTE DEVICE: apply new design guide
- WIZARD: modify project list function from directory
- IMPORT: add functions on location page
== HyunJong Park <paulhj.park@samsung.com> 2016-11-14
* 2.3.192
- WIZARD: restore New C++ class menu in wizard
== Hyeongseok Heo <harry.heo@samsung.com> 2016-11-11
* 2.3.191
- READONLY XML Editor: Add readonly xml editor for rest viewer.
- REST Viewer:change editor with readonly editor at clicking source button
== Hyeongseok Heo <harry.heo@samsung.com> 2016-11-08
* 2.3.190
- TARGET COMBO: chnage the architecture in uppercase to lowercase letters
- REMOTE DEVICE: show error diglog when failed to connect device
== HyunJong Park <paulhj.park@samsung.com> 2016-11-04
* 2.3.189
- TARGET COMBO: add the target architecture info
== HyunJong Park <paulhj.park@samsung.com> 2016-11-04
* 2.3.188
- SDBLIB : Add the CPU architecture type for 64bit.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-11-04
* 2.3.187
- REMOTE DEVICE: improvement usability
== HyunJong Park <paulhj.park@samsung.com> 2016-11-03
* 2.3.186
- Remove override extension
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-10-25
* 2.3.185
- validate file path when importing certificates
== WooJin Jung <woojin2.jung@samsung.com> 2016-10-24
* 2.3.184
- add overwrite pop-up dialog for packaging.
== JuHan Kim <juhan1.kim@samsung.com> 2016-10-18
* 2.3.183
- fix x button of certificate creation intro dialog to work properly
== WooJin Jung <woojin2.jung@samsung.com> 2016-10-18
* 2.3.182
Fix text cropping on resource tab (SPTSDKUX-2270)
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-10-13
* 2.3.181
- Fix for unable to launch profile as valgrind
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-10-11
* 2.3.180
- SHORTCUT: Restore new wizard shortcut for CTRL+SHIFT+N
== Yoonki Park <yoonki.park@samsung.com> 2016-10-06
* 2.3.179
- SDB: add a result message from outputreceiver
== JaeMin Kim <jm.jemin.kim@samsung.com> 2016-09-30
* 2.3.178
- Added cancel interrupt and do not scan device automatically if canceled before
- add new supporting languages for resource tab
- modify read logic of sdb using setSoTimeout method.
- add others category for hidden properties page
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-09-28
* 2.3.177
- Open tray popup if a profile information does not match between project and device
- Removed New/Import/Export shortcut key
- Fix a bug duplicated editor in the REST viewer.
- Add a header comment on the wadl file.
- Modify the function to show TV profile information
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-28
* 2.3.176
- Remove "open git commit" action in main toolbar
- Fix a bug about deleting l10n string value
- Change error keyword from sdb stdout to determine connect error
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-26
* 2.3.175
- remove border from popup dialog
- Add some shortcuts
== GiWoong Kim <giwoong.kim@samsung.com> 2016-09-22
* 2.3.174
- Fix the NLS missing message
- Add separator to popup dialog
- Change the update button to the cancel button at sample wizard
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-21
* 2.3.173
- modify the template/sample loading for Tv extension SDK.
- add ITextValidator interface
== GiWoong Kim <giwoong.kim@samsung.com> 2016-09-20
* 2.3.172
- MISC: add element on .tproject for CDT indexer
- CONNECTION: Add cancel button to Remote Device Manager
- PREFERENCES: regrouping hidden preferences page
- Fix the duplicated image decorator of wgt and change icons
- COMMON: add Text widget to be able to set an error message
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-12
* 2.3.171
- Change bundle information
- Remove progress bar area
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-08
* 2.3.170
- add PopupDialog class
- fix loading image shaking
== GiWoong Kim <giwoong.kim@samsung.com> 2016-09-07
* 2.3.169
- EDITOR: apply new layout to Locale dialog
- WIZARD: change loading image
- WIZARD: set same width to both api list and sample list
- WIZARD: fix wizard size problem when activate from others menu
- SHORTCUT: Add build clean key accelerator: Ctrl + Alt + F10
- TARGETCOMBO: Fix to NPE
- SIGN: modify button text from "OK" to "Retry" in signing error dialog
- WIZARD: fix template name alignment issue on Ubuntu
- TARGETCOMBO: Fix to get device descriptor when disconnect local VM
== Yoonki Park <yoonki.park@samsung.com> 2016-09-05
* 2.3.168
- COMMON: fix the file dialog path
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-08-26
* 2.3.167
- fix wizard freezing
- modify the sample deletion function for local download sample
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-08-26
* 2.3.166
- Set default path for selecting existing certificate
- Open creation wizard in mouse up event
- Supports mouse double-click to activate profile
- Support to copy details of certificate
- Check the image with the wrong size.
- Applied fade-in effect
- Change the sdk label in update notification
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-08-25
* 2.3.165
- TARGETCOMBO: Select the item by default if there is one item on CE
- WIZARD: fix text truncation in 4k resolution
== Yoonki Park <yoonki.park@samsung.com> 2016-08-23
* 2.3.164
- Modify the duid routine that the value obtained in capability.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-08-23
* 2.3.163
- Hide validate menu on the json file
- Disable add, edit and delete button when scanning remote device
- Change defualt value of Run/Debug preference
- Fix bug about project name error message
== HyeongSeok Heo <harry.heo@samsung.com> 2016-08-23
* 2.3.162
- WIZARD: fix height of title area of wizard
- SHORTCUT: Change mnemonic T to o from Tools menu
- WIZARD: remove General > Faceted Project wizard menu
- TARGETCOMBO: Update target combo item if target item is selected from connection explorer
- CE: fix a bug of scanning remove devices
== Yoonki Park <yoonki.park@samsung.com> 2016-08-23
* 2.3.161
- REMOTEDEVICE: Fixed widget disposed problem when scanning remote device
== Yoonki Park <yoonki.park@samsung.com> 2016-08-22
* 2.3.160
- Fix text align
- Modify the validation message of project name
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-08-22
* 2.3.159
- Add method that returns eclipse's location
- User string update
- Remove NPE
- Do code refactoring for managing shortcut key
- Removed shortcut conflict
- Change default value of Run/Debug preference
- Change user strings
- Apply new icon image on application type page
- Commize project property page
== Gun Kim <gune.kim@samsung.com> 2016-08-20
* 2.3.158
- modify certificate error messages and register error handler to 2.4 error codes.
- apply new design on sample selection page
- Modify the sample selection page at sample wizard
- apply round corner
- add selection listener method to Image Button
- Add Platform app type.
== GiWoong Kim <giwoong.kim@samsung.com> 2016-08-19
* 2.3.157
- Add the application abstract command in sdblib.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-08-18
* 2.3.156
- fix bug of infinite loop on importing project
- do not open popup at closing CE
- Modify the sample download function at sample wizard
- modify to select first sample when select api from the list
- fix information area to be able to scroll
== JuHan Kim <juhan1.kim@samsung.com> 2016-08-18
* 2.3.155
- Change entry page align
- Modify a guide message to convert project
== Gun Kim <gune.kim@samsung.com> 2016-08-18
* 2.3.154
- SDB: add certificate error codes and handler
- MISC: modify guide message to convert project
- SDB: modify error process sequence of sdb command
- SDB: support to register error handler to a specified error code
- SDB: find pkgcmd error type through error code
- WIZARD: apply new design on project property page
- WIZARD: apply new design on entry page
- SDB: modify CommandErrorException
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-08-17
* 2.3.153
- Update icons.
- Add flags for common languages.
- Reorganize help menus.
- Deprecated legacy class and delegate to the new impl.
- Add platform selection page to sample wizard.
- Modify to movable by double click.
- Modify to local download path for meta icon.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-08-17
* 2.3.152
- PRODUCT: Change IDE.app name to TizenStudio.app
== Yoonki Park <yoonki.park@samsung.com> 2016-08-17
* 2.3.151
- SDBLIB: Fixed getPkgcmdDebugModeSupport() issue at tizen 2.3.1 target device
== SangJin Kim <sangjin3.kim@samsung.com> 2016-08-16
* 2.3.150
- CONNECTION: Change scan icon
== Yoonki Park <yoonki.park@samsung.com> 2016-08-11
* 2.3.149
- CONNECTION: Change new design by GUI guide
- COMMON: redraw image button when its state has been changed
- NOTIFICATION: add a brand new notification popup
- SHORTCUT: Add packaging and open wizard shortcut
- MISC: make method of FileUtil
== Yoonki Park <yoonki.park@samsung.com> 2016-08-11
* 2.3.148
- Do not remove IP list all when scanning and fixed to show available IP.
- Restore default descriptor when IDE is restarted
- Change new wizard icon
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-08-11
* 2.3.147
- add new custom control to support image-based button
- Modify to the specification of description for meta icon
- Externalize message from Remote Device Manager
- Change guide texts from no target dialog
- modify layout for NewIconDialog from Config Editor
- Change UI from Remote Device Manager
- Change log-level from error to info on lookupSdkInfoFile()
- change how to confirm password
== GiWoong Kim <giwoong.kim@samsung.com> 2016-08-10
* 2.3.146
- SIGN: change empty UX design of certificate manager
- WIZARD: update combo correctly on Convert Wizard
- MISC: Change top menu name from 'Tizen Tool' to 'Tizen Tools'
- TARGETCOMBO: Do not display resolution infomation from tooltip if the value is empty
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-08-04
* 2.3.145
- CONNECTION: Do not open dialog when there is no remote target to scan
== Yoonki Park <yoonki.park@samsung.com> 2016-07-18
* 2.3.144
- Add the "pkgcmd_debugmode" member to PlatformCapability.
- CONNECTION: Do not refresh when remote dialog is disposed.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-08-01
* 2.3.143
- THEME: change icon in rest viewer and localization view
- FONT: remove font overriding for default font
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-08-01
* 2.3.142
- TARGETCOMBO: Split module between target combo and vm keeper
- CONNECTION: Fixed to scan remote device due to invalid thread problem
== Yoonki Park <yoonki.park@samsung.com> 2016-07-18
* 2.3.141
- fixed to block when scanning remote device
- change SIGN user string due to removal of create/manage menu
- change font name
== WooJin Jung <woojin2.jung@samsung.com> 2016-07-29
* 2.3.140
- change page layout
- change text advanced to more details
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-28
* 2.3.139
- Change emulator-manager icon
- Add cancel operation in update notification
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-07-28
* 2.3.138
- fix the bug about the description for not supported platform.
- fix tooltip showing on app type selection page.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-07-28
* 2.3.137
- apply new design at app type selection page
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-27
* 2.3.136
- WIZARD: apply new design at platform selection page
- WIZARD: remove legacy preference option
- THEME: fix the status item is not displayed correctly in Eclipse Mars
- TARGETCOMBO: Do code refectoring related setting default target item
- TARGETCOMBO: Do not check booting done msg when a exception has been occurred
== Yoonki Park <yoonki.park@samsung.com> 2016-07-12
* 2.3.135
- remove profile usage bar
- Order target item by FIFO rule
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-26
* 2.3.134
- fix a bug about import
- remove certificate profile extension for testing
- remove certificate profile creation menu
== JaeMin Kim <jm.jemin.kim@samsung.com> 2016-07-25
* 2.3.133
- change wizard selection page design
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-25
* 2.3.132
- fix verion error for 2.3.2
- Let async when scanning remote device
- Set default text font
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-25
* 2.3.131
- do not set bold font-weight to selected CTabItem
== GiWoong Kim <giwoong.kim@samsung.com> 2016-07-21
* 2.3.130
- Update toolbar icon
- Remove unused icon in context menu
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-07-21
* 2.3.129
- Modify the way to get CPU architecture information.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-07-20
* 2.3.128
- fix bug about web app packaging optimization
- modify show more link text to non-editable
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-07-20
* 2.3.127
- SIGN: modify build.properties
== Donghyuk Yang <dong.h.yang@samsung.com> 2016-07-14
* 2.3.126
- SIGN: modify previous security profiles page, apply new Certificate Manager link
- show target name in combo first item by default
- add tooltip information to toolbar item
- change template detail dialog design on wizard
- SIGN: show intro dialog when user tries to create certificate profile on certificate manager
- remove submenu of Create Certificate Profile
- select wizard by mouse double click
- change wizard size
== WooJin Jung <woojin2.jung@samsung.com> 2016-07-14
* 2.3.125
- SIGN: show intro dialog if there is an extension certificate
- SIGN: export org.tizen.common.sign.ui package
- SIGN: supports extension point to extend certificate type
- COMMON: add error message popup for project configuration
- SIGN: add images for display in certificate intro dialog
- TARGETCOMBO: launch offline emulator when project is going to run
== Yoonki Park <yoonki.park@samsung.com> 2016-07-12
* 2.3.124
- Modify tizen new project wizard
- Do not remove a emulator item that is connected from localhost when the device is disconnected
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-07-12
* 2.3.123
- Add the description to the wearable-3.0.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-07-11
* 2.3.122
- Add method whether it is web widget project or not.
- hide for unused toolbar item
- encode non-ASCII characters properly
- shown formated device names by following definition
- ordered device list item
- exported vm worker package from proxy lib
- Called VM properties changed listener and device connection changed listener
- change background color of empty screen on certificate manager
- fix layout crash when click profile filter button
- change next/previous button region on template viewer
- modify height of description part on certificate profile wizard
== JuHan Kim <juhan1.kim@samsung.com> 2016-07-08
* 2.3.121
- Remove duplicated view extension
- Change icons in structure view
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-07-05
* 2.3.120
- Update guide text when target connection status is changed
- Added no target dialog and select device dialog
== Yoonki Park <yoonki.park@samsung.com> 2016-07-04
* 2.3.119
- Change trim icon
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-07-01
* 2.3.118
- sync current device between target combo and connection explorer
== yoonki.park <yoonki.park@samsung.com> 2016-07-01
* 2.3.117
- Add VM create and remove listener.
- Add the description to the wearable-2.3.2.
- Modify description of distributor certificate.
- Change icon in rest viewer.
- Add the network loading pop-up for the sample wizard.
- Modify table selection style in certificate profile manager.
- Increases the height of description part on certificiate profile wizard.
- Change text height of navigation bar on certificate profile wizard.
- Add validation rule for key filename, modify additional user string.
- Apply changing of dlogutil print format on platform version 3.0.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-30
* 2.3.116
- Fix bug on app type selector
- Removed launchbar controls
- Add webwidget interaction
- Fix bug about project property page expandation
- Implement new dlog parser for platform version 3.0
- Change certificate edit icons
- Modify template detail popup location
- Change button text from 'Close' to 'OK'
- Show confirmation dialog if canceled in creating certificate profile
- Modify description of empty UX in certificate manager
- Apply new sample page design
- Change fonts
- Modify CSS values
- Add package for model classes of log view
- Add em-lib.jar to reference on runtime
- Apply new app type page design for sample wizard
- Fix layout of update-notification-bar
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-06-30
* 2.3.115
- Fix the broken list icon at the app type selection page.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-27
* 2.3.114
- Fix the short description error to tv extenstion.
- Apply reviewed user string on certificate manager.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-24
* 2.3.113
- Resized toolbar parent control in target combo
- Change logview and connection explorer icon
== YoonKi Park <yoonki.park@samsung.com> 2016-06-23
* 2.3.112
- Modify the validation of project and package name.
- Apply new design on project property page.
- Apply user string on certificate manager.
- Added target launch combo to toolbar.
- Apply empty UX on certificate manager.
- Change button images.
- Apply new design on app type selection page.
- Supports to create a new certificate profile in certificate manager.
- Width of textlayout should be positive number.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-23
* 2.3.111
- Apply new design of certificate profile manager
- Apply new design on template detail popup.
- Apply new design on template selection page.
- Add the short description model for the application type.
- Changes separator color in certificate profile creation wizard.
- Add button images.
- Add small italic font.
- Modify tizen gray colors.
- Apply new design on platform selection page.
- Change icons of national flag.
- Update language list in Config editor.
- Order language list alphabetically.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-23
* 2.3.110
- Modify page navigator design
- Change the tip-of-day settings to disable
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-06-21
* 2.3.109
- Add the function to validate the package id for native project.
- Fix bug about new project wizard.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-20
* 2.3.108
- don't handle target which has unknown arch in Connection Explorer
== Shingil kang <shingil.kang@samsung.com> 2016-06-16
* 2.3.107
- Fix bug that occur the project creation error at sample wizard.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-16
* 2.3.106
- Fix the background color of main toolbar.
- Fix the open file error as create the native project.
- Fix layout of update notification bar
- Fix that getEnvironmentValue returns the result string with trailing white space.
- Fix UI crush on page navigator.
- Change the IDE background color.
- Change the status bar color.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-16
* 2.3.105
- Add the function to activate perspective and config file.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-15
* 2.3.104
- change certificate password input to be optional
- show key filename without extension (.p12)
- allow to remove the last certificate profile
- show more detail about certificate information
- add method that returns GDBServer's location
- change sample viewer buttons to CanvasButton
- solve widget dispose issue
- show confirm dialog to set active newly created certificate profile
- support the sample download function at sample wizard
== WooJin Jung <woojin2.jung@samsung.com> 2016-06-15
* 2.3.103
- Fix sdk-utils loading error.
- Support the installed platform info when does not work the API.
- Add the profile filtering.
- Support the conversion of higher to lower version for web project.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-06-10
* 2.3.102
- Merged tizen_sdk & advux to sdk
== Yoonki Park <yoonki.park@samsung.com> 2016-06-08
* 2.3.101
- do not add ModifyListener to combo(custom) yet
- Enable template selection page scrolling on Windows
- fix wizard shortcut
- remove icon from 'Tizen SDK' menu items
== GiWoong Kim <giwoong.kim@samsung.com> 2016-06-02
* 2.3.100
update sdk-utils,UpdateManager jar
== HyeongSeok Heo <harry.heo@samsung.com> 2016-06-01
* 2.3.99
- added keygeneration library
== donghyuk yang <dong.h.yang@samsung.com> 2016-06-01
* 2.3.98
- implementation - create certificate profile
- fixed to capitialize the first character
- remove javascript static analyzer menu
- disable all buttons if there is no certificate profile
== donghyuk yang <dong.h.yang@samsung.com> 2016-06-01
* 2.3.97
- Added City input field to author certificate creation page
- Externalize strings for certificate creation wizard
- Fix height of sdk-update-notification-bar
- Modify according to GUI design
- Modified certificate removal action
- Removed aliasing on page navigator
- Fixed template wizard size problem
- Change help view icon
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-05-31
* 2.3.96
- Fixed a bug on template selection page
- Applied GUI design at certificate addition and edition dialog and 1 more
- Added certificate menus to Project main menu
- Implemented certificate manage functions
- Modified exception catch source
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-05-27
* 2.3.95
- Fixed wrong message property and resize between certificate title and image
- Modify string of properties page
- Fixed scroll bug on template selection page
- Implemented certificate manage functions
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-05-26
* 2.3.94
- Applyed GUI design on page navigator
- Supported the creation of tizen project to the online sample
- Change palette icon
- Renewal certificate management dialog and applied GUI design
- Update icons
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-05-26
* 2.3.93
- Added project name validation message
- Fix missing extension point
- Applied GUI design at certificate creation wizard (2)
- Added API category selecting
- Apply css for vertical toolbar
- Disable help buttons
- Modified sample viewer
- Modified the thread processing in the template selection page
- Added util method which returns IProject
== Gun Kim <gune.kim@samsung.com> 2016-05-25
* 2.3.92
- modified some view's appearance
== GiWoong Kim <giwoong.kim@samsung.com> 2016-05-24
* 2.3.91
- Remove update manager option and separate from ui thread
- Applyed wizard GUI design
- Fix open resource error in wgt/tpk file.
- Change icons and relocate the layout
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-05-23
* 2.3.90
- unified style of view tab
- connecting to a notification bar with package manager
- Modified the common description in the application type page
- Reordering toolbar
- Applied GUI design at certificate creation wizard
- Modified the version list view in platform selection page
== GiWoong Kim <giwoong.kim@samsung.com> 2016-05-20
* 2.3.89
- Revert the method to get the platform list from Sdk-Utils Api
- Applyed GUI design at template selection page
- Reordering toolbar
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-05-18
* 2.3.88
- support TAB_large Style_B for CTabFolder
- Applyed GUI design at new project wizard
- make delete directory util method to directory path
== GiWoong Kim <giwoong.kim@samsung.com> 2016-05-18
* 2.3.87
- Reordering toolbar
- Modified CSS style
- Add org.hamcrest to export package
- Applyed GUI design at platform selection page
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-05-16
* 2.3.86
- Fix open editor error as removing JDT/PDE features.
== HyeongSeok Heo <harry.heo@samsung.com> 2016-05-13
* 2.3.85
- Change icon and reordering toolbar
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-05-13
* 2.3.84
- Provide default project name
- Added the fucntion to load online sample from the sample server
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-05-10
* 2.3.83
- Fixed bugs on wizard
- Added online sample wizard
- Modified Input data for testing
- Implemented UI to create and manage certificate profile
- modified Tizen theme
== SangHyun Lee <sanghyunnim.lee@samsung.com> 2016-05-10
* 2.3.82
- change icons
- apply css style
- modified Convert Wizard
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-05-09
* 2.3.81
- Added the function to create the project at the new tizen project wizard
- Change tab renderer and icos for THEME
- Removed the certificate extension policy button in the Security Profiles preference
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-05-04
* 2.3.80
- fix npe and rendering bug in windows
- Applyed profile dim
- externalize string
- add update notification bar and command bar disable
== HyeongSeok Heo <harry.heo@samsung.com> 2016-04-28
* 2.3.79
- Modified to temporarily load the native template
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-04-20
* 2.3.78
- Apply tizen theme
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-04-19
* 2.3.77
- Use default profile for emulator
- Supported the creation of web project at the new create wizard
- Modified the selection action to work properly
- Modified target checking in Convert Wizard
- Added new project wizard for UI PoC
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-04-19
* 2.3.76
- Add unpack option in theme plugin
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-04-18
* 2.3.75
- Add "sash-width" property in Tizen Theme
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-04-18
* 2.3.74
- Remove build.macos script. To prevent source fragmentation, do not build package by the OS respectively.
== Hyeongseok Heo <harry.heo@samsung.com> 2016-04-15
* 2.3.73
- Add theme extension
- Add build.macos script
== Hyeongseok Heo <harry.heo@samsung.com> 2016-04-15
* 2.3.72
- Removed JDT deps
== Yoonki Park <yoonki.park@samsung.com> 2016-04-07
* 2.3.71
- Support for multiple builder in a same file
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-03-25
* 2.3.70
- LOG: Improved performance of Log view
- LOG: Supported log tab for TV profile
- LOG: Added final keyword
- LOG: Do not need table working when the log view is not visible
== donghyuk yang <dong.h.yang@samsung.com> 2016-03-24
* 2.3.69
-Allow underscore in native project name
-Remove the console output log for capability command.
== JuHan Kim <JuHan Kim@samsung.com> 2016-03-17
* 2.3.68
- Remove the console output log for capability command.
- Add new method(printLog) to ISyncProgressMonitor interface.
- SDBLIB: Fix a bug where executeHostCommand with comamnd including double quote does not work.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2016-03-14
* 2.3.67
- Merged develop to tizen_sdk
== yoonki.park <yoonki.park@samsung.com> 2016-03-08
* 2.2.360
- Add plugin extension for NUIB
- Supports the external library
- Fixed a RDS failure
== jihoon.song <jihoon.song@samsung.com> 2016-03-04
* 2.2.359
- Added unknown error result process from pkgcmd
== jihoon.song <jihoon.song@samsung.com> 2016-02-19
* 2.2.358
- Fixed some bugs.
- Modified some methods that related with root-on capability, protocol version check, profile comparison.
- Improved searching speed for samples.
- Improved automatic launcher for emulator.
== jihoon.song <jihoon.song@samsung.com> 2016-02-18
* 2.2.357
- Added method for getting platformInfo is set at project
== gune.kim <gune.kim@samsung.com> 2015-12-23
* 2.2.356
- Minor bug fix for autoemul
== yoonki.park <yoonki.park@samsung.com> 2015-12-11
* 2.2.355
- Moved autoemul packages to common
== yoonki.park <yoonki.park@samsung.com> 2015-12-08
* 2.2.354
- Fixed a problem of the migration case for different profiles
- Fixed bug that resource is remained when delete resource
- Fix to contain latest filter text and category when device has disconnected
== jihoon.song <jihoon.song@samsung.com> 2015-11-10
* 2.2.353
- Removed progress monitor part in wizard
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-11-05
* 2.2.352
- Fixed UI freezing on new project wizard
- Added import/export function on Localization view
== sanghyunnim.lee <sanghyunnim.lee@samsung.com> 2015-11-04
* 2.2.351
- Merge branch 'tizen_sdk' into develop
== gune.kim <gune.kim@samsung.com> 2015-10-19
* 2.2.350
- Add the application command protocol version in sdblib.
- WIZARD: Fix bug when the path of workspace contains special characters
- LV: Modified to align resource name to center
- LV: Fixed memory leak
- LV : add selection setting
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2015-09-24
* 2.2.349
- fix to check key to delete items
- Fix bug when user delete item on string tab
- Applied auto migration to package property page.
- Implemented to migrate old referenced projects to .tproject
- Fix localization -> Web Localization
- Add sdkManager.jar to runtime
- Fix sentences for LV
- Modified to exclude config.xml from localization
- Changed the view name to Web Localization
- Modified Connect fragment Error Msg.
- Fixed a bug when select resource tab very first
- Fix tab selection bug when project changed
- Fixed a bug occured when delete project
- Get project when lv opens by context menu
- Modified web.file.ActiveContext.definition
- Fixed resource tab's layout bug
- Set default value if original is empty when user localizes string
- Replaces the icons
- Add checking duplicated id for string
- Fixed a bug that occured when select native projects
- Modified to enabled reset resource by double click
- Get swt style from parameter.
- Disabled resource set dialog when resource is set
- Fixed scroll problem on Windows
- Fixed scroll bug on Windows
- Added Search icon resource
- Fixed pull action disable if device does not exist
- Removed trash string
- Remove deprecated information
- combine loalize dialog for string and resource
- Reflect SDK update notification library
- Add resource changing process for locales and strings
- Added terminal path to preferences
- Set code indentation with space 4
== ty.sson <ty.sson@samsung.com> 2015-09-23
* 2.2.348
- Modified to use one resource manager about localization
- Fixed minor bugs in multi property page
- Changed debug attach command using launch_app
- Fixed pull action disable if device does not exist
== ty.sson <ty.sson@samsung.com> 2015-09-16
* 2.2.347
- Added  the localization view feature list
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-09-14
* 2.2.346
- Hide not supported import/export function yet
- Change dialog to show 4 typed answer to delete locale(s)
- set activation for add/delete locale list
- Add confirm dialog when user delete locale folder(s)
- Added resource delete function
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-09-14
* 2.2.345
- Remove project information and show it in locale information
- Merge branch 'i18n' into develop
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-09-11
* 2.2.344
- Modified menu bar at the IDE.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-09-11
* 2.2.343
- Modify the secure protocol command in sdblib module.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2015-09-08
* 2.2.342
- Fixed bug that update the online sample
- Fixed bug that load twice the template
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-09-08
* 2.2.341
- Added the api that get the path of platform tool
Changed sdk.info loader encoding to UTF-8
- Removed root command.
== sanghyunnim.lee <sanghyunnim.lee@samsung.com> 2015-09-04
* 2.2.340
- Version up to stv_product
== yoonki.park <yoonki.park@samsung.com> 2015-08-28
* 2.2.339
- Add the secure protocol routine in sdblib module.
- Check target type (emulator/device) when it is initialized.
== gunsoo83.kim <gunsoo83.kim@samsung.com> 2015-08-28
* 2.2.338
- Set device ip when connecting to target on tcp
== yoonki.park <yoonki.park@samsung.com> 2015-08-17
* 2.2.337
- Added the connection message to invalid server
- Added PlatformCapability module.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-08-12
* 2.2.336
- Print error when sdb connect failed
== yoonki.park <yoonki.park@samsung.com> 2015-08-09
* 2.2.335
- Version up to stv_product
== yoonki.park <yoonki.park@samsung.com> 2015-07-28
* 2.2.334
- Fixed bug that set the library to the jQuery template
- Added the validation for the required version of profile
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-07-28
* 2.2.333
- Version up to stv_product
== yoonki.park <yoonki.park@samsung.com> 2015-07-28
* 2.2.306
- Supported local sample for product
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-07-25
* 2.2.305
- Added the creation of project to product.
- Modified getProfileInfo method.
== ty.sson <ty.sson@samsung.com> 2015-07-24
* 2.2.304
- Version up for TV sync
== ty.sson <ty.sson@samsung.com> 2015-07-24
* 2.1.304
- Brower is always open external browser, when browser address is "tizen.org".
== juhan1.kim <juhan1.kim@samsung.com> 2015-07-21
* 2.1.303
- Added auto emulator to 'Tip of day'.
- Added support profile checking process
== ty.sson <ty.sson@samsung.com> 2015-07-21
* 2.1.302
- Added the function that checks the supported multi-profile
- Delete project create command
- Fixed bug that set incorrect architecture
- Move tip of the day for css color picker
- Modified to draw no preview image when sample has no images
- Modified prefix of native project's package name.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-07-19
* 2.1.301
- Changed sdk.info file encoding to system default.
== jihoon.song <jihoon.song@samsung.com> 2015-07-13
* 2.1.300
- Modified to be able to use the user-template in New Wizard.
- Added the installation command for tep package.
- Added the ".tep" extension to zip extension list.
- Applying multi-line error message.
- Fixed the structure for REST handlers.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-07-02
* 2.1.299
- Fixed a bug in sample image viewer.
- Modified the connection message at the preferences of sample.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-26
* 2.1.298
- Fixed a bug that is deleted the local sample.
- Enabled description scrolling in sample information view.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-24
* 2.1.297
- Add checking privilege type
- Fix logtab's title bug for Mac
- Modified to always enable the Test Connection button at sample preferences.
== hyunsik.noh <hyunsik.noh@samsung.com> 2015-06-24
* 2.1.296
- Added checking the sameness for the local and online sample.
- Modified sample filtering for the search of api category.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-24
* 2.1.295
- Fixed a bug that is stored in the same sample names.
- Added the processing of the multi-template to one-source.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-22
* 2.1.294
- Fixed a bug that isn't installed the profile to selected sample.
- Fixed miss spell from msg bundle.
- Added the SDB log.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-19
* 2.1.293
- Fixed a bug that unckecking store button initially.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-17
* 2.1.292
- Applied the new design for profile select buttons.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-17
* 2.1.291
- Fixed a bug that doesn't create a selected platform version.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-17
* 2.1.290
- Fixed a bug that remove the local sample at reopen wizard.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-16
* 2.1.289
- Fixed a bug that showing wrong profile filtering.
- Fixed a bug that showing the project name by selected category.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-16
* 2.1.288
- Added project type list
- Supported the local download to the Tizen Create Wizard
- Supported the multi-platform selection to the Tizen Create Wizard
== Taeyoung Son <ty.sson@samsung.com> 2015-06-15
* 2.1.287
- Fixed the lower case of widget type
- Fixed the local template loading without meta file
- Added 2.3.1 profile version icons
- Support the profile of sample for installed platform
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-06-10
* 2.1.286
- Support the local download in default folder to on-line sample
- Added warning for referenced projects in the import wizard
- Changed title of import wizard
== jihoon80.song <jihoon80.song@samsung.com> 2015-06-04
* 2.1.285
- Added selectable version limit for import
== jihoon80.song <jihoon80.song@samsung.com> 2015-05-22
* 2.1.284
- Fixed no excluding problem of signer for directory
== jihoon80.song <jihoon80.song@samsung.com> 2015-05-21
* 2.1.283
- Added project type for hybrid application
== Taeyoung Son <ty.sson@samsung.com> 2015-05-21
* 2.1.282
- Changed the privilege level violation error message
== Sang-hyun Lee <sanghyunnim.lee@samsung.com> 2015-05-16
* 2.1.281
- Set default device arch to x86
== yoonki.park <yoonki.park@samsung.com> 2015-05-15
* 2.1.280
- Added command for checking appID
== gune.kim <gune.kim@samsung.com> 2015-05-13
* 2.1.279
- Changed 'widget' word to 'package'
== jihoon80.song <jihoon80.song@samsung.com> 2015-05-12
* 2.1.278
- PACKAGE: Stores the packaging information of referenced project into the configuration file.
== shihyun.kim <shihyun.kim@samsung.com> 2014-05-11
* 2.1.277
- Added exclude filter for the sign module
== jihoon80.song <jihoon80.song@samsung.com> 2015-05-11
* 2.1.276
- Added common import wizard for multi-platform
== jihoon80.song <jihoon80.song@samsung.com> 2015-05-11
* 2.1.275
- Add project type
== gune.kim <gune.kim@samsung.com> 2015-05-07
* 2.1.274
- Added the install error types
== Sang-hyun Lee <sanghyunnim.lee@samsung.com> 2015-04-30
* 2.1.273
- Added new project types
== gune.kim <gune.kim@samsung.com> 2015-04-24
* 2.1.272
- Fixed the platform version problem
== jihoon80.song <jihoon80.song@samsung.com> 2015-04-14
* 2.1.271
- CLI: revert initialize code (for duplicate message issue)
== Dongkyun Yun<dk77.yun@samsung.com> 2015-04-02
* 2.1.270
- build dependency check
== Hyunjin Lee<hyunjin816.lee@samsung.com> 2015-04-02
* 2.1.269
- implement repackaging, resigning
== Hyunjin Lee<hyunjin816.lee@samsung.com> 2015-04-02
* 2.1.268
- Added working set related utilities
== jihoon80.song <jihoon80.song@samsung.com> 2015-03-20
* 2.1.267
- Modify the copy method
== gune.kim <gune.kim@samsung.com> 2015-03-12
* 2.1.266
- Modify the copy method
== shihyun.kim <shihyun.kim@samsung.com> 2015-03-10
* 2.1.265
- Modified sdb root command
== gune.kim <gune.kim@samsung.com> 2015-03-09
* 2.1.264
- Added validation for iconSrc
- Fixed Prevent issues (Fixed dereference null pointer Fixed naked notify)
- Fixed prevent issues (sdblib)
- Fixed prevent issues
== jaeheung.kim <jaeheung.kim@samsung.com> 2015-02-10
* 2.1.263
- coredump - file dialog size change
- Fixed thread-shard field
- Updated the licence information
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-01-12
* 2.1.263
- Delay 500 msc when filtering log by keyword in the Log View.
- Supported to filter keyword with OR/AND condition in search bar
== shingil.kang <shingil.kang@samsung.com> 2014-12-30
* 2.1.262
- Modify boilerplate.
- Fixed for inner class could be made static.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2014-12-22
* 2.1.261
- Added message about canceled launch
- Supported to search multi keyword in log with AND, OR condition
- Fixed log buffer minimun value to 5000
- Removed multi keyword searching on Pid or Tag
- Fixed that message column was not expanded in Log View
- Added preference page for log view
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2014-12-15
* 2.1.260
- version up
== shihyun kim <shihyun.kim@samsung.com> 2014-12-12
* 2.1.259
- Merged from tizen_2.3 branch
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-12-01
* 2.1.258
- Modified location for installing ODI tools
== gune.kim <gune.kim@samsung.com> 2014-11-26
* 2.1.257
- Added optimize method to native project's interface
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-11-24
* 2.1.256
- Fixed wrong relative path getting problem on Windows
== jihoon80.song <jihoon80.song@samsung.com> 2014-11-21
* 2.1.255
- Supported to show file or folder which has korean name.
== shingil.kang <shingil.kang@samsung.com> 2014-11-21
* 2.1.254
- Fixed packaging failure with special character
== jihoon80.song <jihoon80.song@samsung.com> 2014-11-19
* 2.1.253
- Disabled the mapper of default profile
== jihoon80.song <jihoon80.song@samsung.com> 2014-11-18
* 2.1.252
- Added dlog parser about time, threadtime option
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-11-06
* 2.1.251
- Added getting profile method from manifest
- Fixed that reading from sdb channel still works after receiver canceled
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-11-04
* 2.1.250
- Fixed resource leak in Application Monitor
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-10-31
* 2.1.249
- Fixed OutOfMemoryError for sign
== jihoon80.song <jihoon80.song@samsung.com> 2014-10-29
* 2.1.248
- Fixed unicode problem for CLI
== jihoon80.song <jihoon80.song@samsung.com> 2014-10-28
* 2.1.247
- Update Tizen theme screenshot for tip of the day
== Hyunsik Noh <hyunsik.noh@samsung.com> 2014-10-28
* 2.1.246
- Added resource utils
== Sang-hyun Lee <sanghyunnim.lee@samsung.com> 2014-10-27
* 2.1.245
- Add tip of the day for Tizen theme
== Hyunsik Noh <hyunsik.noh@samsung.com> 2014-10-24
* 2.1.244
- Fixed launch listener's bug
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-10-23
* 2.1.243
- Fixed provides a ASTERISK("*") in access url in NonSchemaBasedValidator
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-10-21
* 2.1.242
- Modified launchesListener for managing to overlap launchDelegator
== gune.kim <gune.kim@samsung.com> 2014-10-21
* 2.1.241
- Fixed that it is blocked to pull remote folder
== shingil.kang <shingil.kang@samsung.com> 2014-10-20
* 2.1.240
- Fixed bug in CopyBuilder
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-10-13
* 2.1.239
- Added remove filter method
== Taeyoung Son <taeyoung2.son@samsung.com> 2014-10-08
* 2.1.238
- Modified to apply the encoding for special characters.
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2014-10-08
* 2.1.237
- Fixed that default keyword of log tab not working
- Fixed that the icon name of emulator manager is shown "java" on Mac OS
== shingil.kang <shingil.kang@samsung.com> 2014-10-07
* 2.1.236
- Fixed that same logs are shown twice.
== shingil.kang <shingil.kang@samsung.com> 2014-10-06
* 2.1.235
- Modified condition for enabling RDS.
== gune.kim <gune.kim@samsung.com> 2014-09-26
* 2.1.234
- Fixed log4j warning
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-09-26
* 2.1.233
- Modified project type configuration
== gune.kim <gune.kim@samsung.com> 2014-09-22
* 2.1.232
- Fixed IDE startup hang problem
== jihoon80.song <jihoon80.song@samsung.com> 2014-09-12
* 2.1.231
- Added function to delete file on device
- Fix to get sdk path from .installmanager/tizensdkpath file
- Change sign variable
== shingil.kang <shingil.kang@samsung.com> 2014-09-12
* 2.1.230
- Implemented common sign module
== taeyoung son <taeyoung2.son@samsung.com> 2014-09-05
* 2.1.229
- Fixed a bug where IDE hanged when IDE starts up with target being unexpectedly disconnected
- Fixed a bug where emulator manager does not run in Connection Explorer
- Fixed a bug where duplicated menu is added to context menu of Connection Explorer
- Fixed a bug where irrelevant menu are added to context menu of Connection Explorer
== shingil.kang <shingil.kang@samsung.com> 2014-08-30
* 2.1.228
- Modified DirectoryCopyHandlingCommand & RdsDeployer
== gune.kim <gune.kim@samsung.com> 2014-08-22
* 2.1.227
- Synchronized original codes
== jihoon80.song <jihoon80.song@samsung.com> 2014-08-21
* 2.1.226
- Added notification for default certificates
== jihoon80.song <jihoon80.song@samsung.com> 2014-08-19
* 2.1.225
- Fixed bug in image util
== taeyoung son <taeyoung2.son@samsung.com> 2014-08-19
* 2.1.224
- Added font util
== taeyoung son <taeyoung2.son@samsung.com> 2014-08-01
* 2.1.223
- Fixed a signing bug on packaging
== Sang-hyun Lee <sanghyunnim.lee@samsung.com> 2014-07-31
* 2.1.222
- Added ImageUtil#getAWTImages() method
== taeyoung son <taeyoung2.son@samsung.com> 2014-07-21
* 2.1.221
- Added getScaledImage method
== taeyoung son <taeyoung2.son@samsung.com> 2014-07-16
* 2.1.220
- Moved IXMLStore#getExecutableNames() method from nativecommon
== taeyoung son <taeyoung2.son@samsung.com> 2014-07-03
* 2.1.219
- Get DUID from IDevice interface DUID is one of device information
- Added UI extension-point to Connection Explorer plugin
- Refactoring for webServer
== shingil.kang <shingil.kang@samsung.com> 2014-07-03
* 2.1.218
- Fixed wrong default certificates mapping
== jihoon80.song <jihoon80.song@samsung.com> 2014-07-03
* 2.1.217
- Moved IXMLStore#getPkgId() method from nativecommon
== taeyoung son <taeyoung2.son@samsung.com> 2014-07-02
* 2.1.216
- Fixed native-signing problem without CA path
== jihoon80.song <jihoon80.song@samsung.com> 2014-07-01
* 2.1.215
- Fixed a bug that occured in RDS's preference page
== gune.kim <gune.kim@samsung.com> 2014-06-30
* 2.1.214
- Supports core multi app
- Supports core hybrid app
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-06-30
* 2.1.213
- Removed new certificate modules
== jihoon80.song <jihoon80.song@samsung.com> 2014-06-24
* 2.1.212
- Fixed encode/decode for ico file in Configuration Editor
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-06-24
* 2.1.211
- select 1 device if existing when tizen ide starts up.
== shingil.kang <shingil.kang@samsung.com> 2014-06-24
* 2.1.210
- Modified some messages.
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-06-24
* 2.1.209
- Fixed bug that cannot build project
== gune.kim <gune.kim@samsung.com> 2014-06-20
* 2.1.208
- Fixed project icon not updated in config.xml file
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-06-20
* 2.1.207
- Divides function that creates the wizard's UI
== gune.kim <gune.kim@samsung.com> 2014-06-13
* 2.1.206
Show file and folder view when tree is expanded in the Connection Explorer.
== shingil.kang <shingil.kang@samsung.com> 2014-05-30
* 2.1.205
- Fixed web debug problem in wearable
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-05-29
* 2.1.204
- Modified build logic
- Added coffee script compiler
== jihoon80.song <jihoon80.song@samsung.com> 2014-05-29
* 2.1.203
- Added WorkspaceUtil
- Modified sign resource for RDS (virtual -> file)
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-05-16
* 2.1.202
- Added decorator for project info
== jihoon80.song <jihoon80.song@samsung.com> 2014-05-16
* 2.1.201
- Added some messages.
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-05-16
* 2.1.200
- Added sign policy for mobile
== jihoon80.song <jihoon80.song@samsung.com> 2014-05-15
* 2.1.199
- Fixed bundle messages
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-05-15
* 2.1.198
- Added 'close' button in the Remote Device Manager
- Removed path and status string when device is disconnected in the Connection Explorer
== shingil.kang <shingil.kang@samsung.com> 2014-05-15
* 2.1.197
- Added a first platform unmarshaller in TprojectHandler
== jihoon80.song <jihoon80.song@samsung.com> 2014-05-15
* 2.1.196
- Added some messages
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-05-15
* 2.1.195
- Moved new cert policy from extension
== jihoon80.song <jihoon80.song@samsung.com> 2014-05-14
* 2.1.194
- Fixed duplicated extension points
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-05-14
* 2.1.193
- Changed bundle messages
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-05-14
* 2.1.192
- Merge from buildFramework branch
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-05-13
* 2.1.191
- Cleanup for fragment
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-04-29
* 2.1.190
- Improved the performance of refreshing logs in the Log View
- Fixed unittest fail
- Fixed logger for information blinding
== shingil.kang <shingil.kang@samsung.com> 2014-04-17
* 2.1.189
- Added string validation check when creating a project
== yoonki.park <yoonki.park@samsung.com> 2014-04-14
* 2.1.188
- Fixed highlight background problem in new wizard
== jihoon80.song <jihoon80.song@samsung.com> 2014-04-10
* 2.1.187
- Checked if tree item is selected when pulling files in the Connection Explorer
- Changed incremental sign policy
- Fixed a charset problem for URL
- Changed tabs to white spaces
- Changed the title of item editor for secure profiles
- Fixed unittest
== shingil.kang <shingil.kang@samsung.com> 2014-04-08
* 2.1.186
- Fixed Cross sign not showing in Description option of Localization tab.
== jaeheung.kim <jaeheung.kim@samsung.com> 2014-04-02
* 2.1.185
- Added 2Digit validation for requried_version
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-04-01
* 2.1.184
- Added required_version validation
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-04-01
* 2.1.183
- Fixed contained empty item in LocaleDialog
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-03-31
* 2.1.182
- Fixed to open new window when clicking hyperlink on cmd char
== yoonki.park <yoonki.park@samsung.com> 2014-03-28
* 2.1.181
- Fixed bug for converting Java file:// URL to File(...) path, platform independent, including UNC paths in CSS Editor
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-03-25
* 2.1.180
- Added launch message.
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-03-21
* 2.1.179
- Changed emulator cert policy
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-19
* 2.1.178
- Fixed decorator "File Icons Based On Content Analysis" makes other decorator not work
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-03-18
* 2.1.177
- Added 'Unknown' Device state
== shingil.kang <shingil.kang@samsung.com> 2014-03-14
* 2.1.176
- Moved commandbar description to fragment
== yoonki.park <yoonki.park@samsung.com> 2014-03-07
* 2.1.175
- Changed security profiles policy in preferences
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-07
* 2.1.174
- Showed same view when changing multi view mode from single view mode in the Connection Explorer
- Improved counting file size when pulling files in the Connection Explorer Dereference all symbolic links then count size of it
- Fixed missing call to superclass
== shingil.kang <shingil.kang@samsung.com> 2014-03-06
* 2.1.173
- Changed target policy without profile
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-05
* 2.1.172
- Added new cert policy for emulator
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-04
* 2.1.171
- Changed new cert related policy
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-04
* 2.1.169
- Checked if local file(directory) exists when pushing local file into remote device
- Removed useless files
- Modified the logic to add new file and to add new folder and to push local files into remote folder based on the last selected folder
- Showed proper error message when user input empty ip or port in the Remote Device Manager
== shingil.kang <shingil.kang@samsung.com> 2014-03-04
* 2.1.168
- Diabled new cert policy checkbox in Security Profiles
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-04
* 2.1.167
- Fixed wrong resource name
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-03
* 2.1.166
- Fixed a bug whrer arrary index exception occurs when user open context menu if no device is connected to the Connection Explorer.
- Added return type for wrote state of profiles
- Fixed auto closable holes
- Added log in LaunchesListener
== jihoon80.song <jihoon80.song@samsung.com> 2014-03-02
* 2.1.165
- Added CommandErrorException's constructor
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-28
* 2.1.164
- Change extension plugin name
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-27
* 2.1.163
- Fixed svg icon file filter
- Improved checking size of folder when pulling files from remote device
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-27
* 2.1.162
- Added new certificate policy
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-26
* 2.1.161
- Fixed icon copy bug in NewIconDialog
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-25
* 2.1.160
- Fixed unittest for ImageUtil
- Support ico and svg file preview
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-25
* 2.1.159
- Fixed language list
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-20
* 2.1.158
- Fixed that the text box does not display command when click on the second column on command bar help in Windows
- Fix to show image on status bar
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-20
* 2.1.157
- Added the module which validates information of remote device
== shingil.kang <shingil.kang@samsung.com> 2014-02-18
* 2.1.156
- Fixed icon deleted when selected icon.png again as icon in web config file
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-18
* 2.1.155
- Prevented the error dialog from opening when the text widget is disposed
- Fixed that Command bar help does not close when clicked on ide or command help button
- Fixed getBufferedImage of ImageUtil
- Added extra lang set
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-17
* 2.1.154
- Fixed a bug where the unnecessary error popup appears in the Connection Explorer.
- Fixed a bug where the Connection Explorer does not properly focus on tableviewer or treeviewer.
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-11
* 2.1.153
- Fixed language set of LocalDialog
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-11
* 2.1.152
- Added language set of LocalDialog
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-10
* 2.1.151
- Added function for getDefaultLangLength
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-07
* 2.1.150
- Supports character set encoding in the Log View
- Added NewIconDialog option and fixed scaled icon preview
- Fixed a Command Bar issue (perspective bundle)
- Fixed that "Restre Defaults" button on RDS's properties page
== kh5325.kim <kh5325.kim@samsung.com> 2014-02-07
* 2.1.149
- Extended eclipse 'Properties' menu in the Connection Explorer
- Aligned indentation of plugin.xml
- Disabled some menu buttons when device list is empty or no device is selected in the Remote Device Manager
- Added SWTUtil
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-02-06
* 2.1.148
- Fixed icon name validation
- Focused on the device if a device is selected when the connection explorer runs initially
- Remove project icon for smart launch
- Fixed closing freeze problem in new windows of the new wizard description image.
== jihoon80.song <jihoon80.song@samsung.com> 2014-02-05
* 2.1.147
- disable native install and uninstall if native plugin is not installed in SDK
== ho.namkoong <ho.namkoong@samsung.com> 2014-02-04
* 2.1.146
- Changed ide log location for sikuli
- Changed the path of folder containing ide logs
- Changed the path of folder containing sdblib logs.
- COMMAND BAR
- Introduces IFocusService handler for cut/copy/paste/selectAll
- Supports for git clone and init
== shingil kang <shingil.kang@samsung.com> 2014-01-29
* 2.1.145
- Fixed tooltip messages for new wizard
== jihoon80.song <jihoon80.song@samsung.com> 2014-01-24
* 2.1.144
- move the emulator icons
== shingil.kang <shingil.kang@samsung.com> 2014-01-24
* 2.1.143
- Command Bar
- Fixed for 'Ctrl-X'->'Ctrl-V'
== kh5325.kim <kh5325.kim@samsung.com> 2014-01-24
* 2.1.142
- Fixed NPE.
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-01-24
* 2.1.141
- Add constant about launch result
== hyunsik.noh <hyunsik.noh@samsung.com> 2014-01-24
* 2.1.140
- Fixed table image blinking in new wizard
== jihoon80.song <jihoon80.song@samsung.com> 2014-01-17
* 2.1.139
- Command Bar
- Prevented 'sdb dlog' and 'sdb status-window'
- Removed gradient by the error 'BadPixmap (invalid Pixmap parameter)'
== kh5325.kim <kh5325.kim@samsung.com> 2014-01-23
* 2.1.138
- Add LinkDialog
== hyunsik.noh <hyunsik.noh@samsung.com> 2014-01-21
* 2.1.137
-  Fixed icon file synchronize with file system in configuration editor
== changhyun1.lee <changhyun1.lee@samsung.com> 2014-01-17
* 2.1.136
- Fixed FileNotFoundException for native packaging
== jihoon80.song <jihoon80.song@samsung.com> 2014-01-17
* 2.1.135
- Changed the icon name of the Tizen Remote File Dialog
- Modified zip editor
== gune.kim <gune.kim@samsung.com> 2014-01-16
* 2.1.134
- Disabled Command Bar "sdb shell" and system command
- Added method that removes resource information file for RDS on target
== kh5325.kim <kh5325.kim@samsung.com> 2014-01-15
* 2.1.133
- Fixed not to run interactive command 'sdb shell' (it can cause an IDE hang)
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-31
* 2.1.132
- fixed a bug where the application monitor loops fast if it does not get ps info
== shingil.kang <shingil.kang@samsung.com> 2014-01-08
* 2.1.131
- fixed a bug where error dialog occurs when deleting or editing remote device information if table is empty
== shingil.kang <shingil.kang@samsung.com> 2014-01-07
* 2.1.130
- Added show(boolean focus) method.
== taeyoung2.son <taeyoung2.son@samsung.com> 2014-01-07
* 2.1.129
- (Weekly update)
- Fixed a bug where an error occurs when exploring the folder having block/character device files
- Change profiles policy for sign (profile version)
- [Command Bar] Supports git command
== kh5325.kim <kh5325.kim@samsung.com> 2014-01-03
* 2.1.128
- Removed icon to "common-eplugin-fragment"
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-31
* 2.1.127
- Externalized Help > Tizen SDK
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-31
* 2.1.126
- Fixed antBuild.sh (changed dependency_package_path)
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-30
* 2.1.125
- Introduces fragment patch
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-30
* 2.1.124
- Migrated images to "common-eplugin-fragment"
- Fixed org.tizen.common.util.ImageUtil.getImageDescriptor(Bundle, String) to support fragments
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-28
* 2.1.123
- Migrated bundles to "common-eplugin-fragment"
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-28
* 2.1.122
- (Weekly update)
- Supports the file handler in resource parsers
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-20
* 2.1.121
- Marks warning when RDS error occurs
- Replaced Apache signing module with original one
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-17
* 2.1.120
- (Weekly update)
- Added a guide message to the IDE log file
- Changed verbose logs to trace level
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-13
* 2.1.119
- Fixed not to print sdblib logs in Application Monitor (too many logs)
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-10
* 2.1.118
- (Weekly update)
- Supports hybrid application debugging
- Supported device suspend & lock state in Connection Explorer
- [Command Bar] Supports git command
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-09
* 2.1.117
- (Weekly update)
- Refined Preferences label
- SDBLIB: Added application monitor for monitoring application launched/terminated
== kh5325.kim <kh5325.kim@samsung.com> 2013-11-29
* 2.1.116
- (Weekly update)
- Refined Tizen IDE Preferences: Added 'Appearance', 'Smart Development Bridge' and 'Logging'.
- Shows an error dialog box when user executes emulator manager which is not installed properly in Connection Explorer
- Fixed to display packages icon
- Fixed to get a invalid platform version
== kh5325.kim <kh5325.kim@samsung.com> 2013-11-22
* 2.1.115
- Package update for automated Test system
== bylee <bonyong.lee@samsung.com> 2013-11-19
* 2.1.114
- (Weekly update)
- Aligned launch messages with web and native
- Added image file thumbnail in Project Explorer and Package Explorer
- Modified on-demand install for supporting multi profile
- Changed Connection Explorer console title and labels for pull
== kh5325.kim <kh5325.kim@samsung.com> 2013-11-15
* 2.1.113
- Fixed exception for "numbers of source Raster bands and source color space components do not match"
- Removed unused constant in TizenPlatformConstants and added super.dispose in ConnectionExplorer
- Added ITizenNativeXmlStore interface for using on the hybrid package
- Replace hashsign.jar to source codes
- Added a support check method
- Fixed invalid assert check for profileInfo
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-11-07
* 2.1.112
- Fixed icon validation in configuration editor
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-11-05
* 2.1.111
- (Weekly update)
- Refactored RDS logic by aligning with native and web
- Fixed a concurrency exception problem about DependencyInDB class
- Fixed a bug where root file entry type of device is not correctly recognized sometimes
- Removed in-container test case
== kh5325.kim <kh5325.kim@samsung.com> 2013-11-01
* 2.1.110
- Repair test cases
== bonyong.lee <bonyong.lee@samsung.com> 2013-10-28 11:00
* 2.1.109
- [CSS Editor] Updated jQuery-ColorPicker library and added tip in Tip Of Day dialog
- [sdblib] Fixed a bug where timer is not canceled after writing socket (causing OutOfMemoryError)
- Changed security preferences UX (to change certificates)
- Fixed test cases
== kh5325.kim <kh5325.kim@samsung.com> 2013-10-25
* 2.1.108
- Refined InstallPathConfig to lookup sdk.info file up-through
- Fixed a clean build exception
== kh5325.kim <kh5325.kim@samsung.com> 2013-10-23
* 2.1.107
- Modify sikuli test environment
== bonyong.lee <bonyong.lee@samsung.com> 2013-10-22 11:42
* 2.1.106
- Added a guide dialog for the situation user changes his signature profile
- [Command Bar] Added a tip page, Fixed to hide a help tooltip, Modified FocusBehavior to hide prompt text
- (Weekly update)
== kh5325.kim <kh5325.kim@samsung.com> 2013-10-18
* 2.1.105
- Repair test cases
== bonyong.lee <bonyong.lee@samsung.com> 2013-10-16 10:14
* 2.1.104
- Added ZipEditor to org.tizen.common.externals & added Tizen package file icons
== gune.kim <gune.kim@samsung.com> 2013-10-15
* 2.1.103
- Repair sikuli script
== bonyong.lee <bonyong.lee@samsung.com> 2013-10-15 11:39
* 2.1.102
- Added TipOfTheDayDialog for 'Tip of the day' feature
- Fixed some Prevent issues
- Removed 'Third Party Content' section in about.html
== kh5325.kim <kh5325.kim@samsung.com> 2013-10-14
* 2.1.101
- modify sdblib library name
== taeyoung2.son <taeyoung2.son@samsung.com> 2013-10-01
* 2.1.100
- Added sdblib package
== taeyoung2.son <taeyoung2.son@samsung.com> 2013-10-01
* 2.1.99
- Modify test script
== bonyong.lee <bonyong.lee@samsung.com> 2013-09-23
* 2.1.98
- pkg version up
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-09-24 14:41
* 2.1.97
- fix test cases
== ho.namkoong <ho.namkoong@samsung.com> 2013-09-17 18:38
* 2.1.96
- Added org.tizen.common.dlog package for dlogutil and PsReceiver
- Improved back button process
- Fixed ColorPickerDialog to work
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-17
* 2.1.95
- Added 'Command Bar' features: Custom Recommendations and Assistant Bubbles
- Moved ColorPickerDialog to org.tizen.common.ui plugin
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-14
* 2.1.94
- Added ColorPickerDialog
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-09-12 22:03
* 2.1.93
- Add new connection explroer feature
== shingil.kang <shingil.kang@samsung.com> 2013-09-12
* 2.1.92
- Supports 'Command Bar' project create and some improvements
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-07
* 2.1.91
- Fixed "Command Bar" to show the help (CR key event)
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-05
* 2.1.90
- Some improvements for "Command Bar"
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-02
* 2.1.89
- fix test case bug
== ho.namkoong <ho.namkoong@samsung.com> 2013-09-05 17:14
* 2.1.88
- Add sdb test cases
== ho.namkoong <ho.namkoong@samsung.com> 2013-09-05 19:31
* 2.1.87
- Added org.tizen.common.core.application.tproject to export list.
== gune.kim <gune.kim@samsung.com> 2013-09-05 15:42
* 2.1.86
- Update pkg version
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-09-03 14:45
* 2.1.85
- Fixed "Command Bar" to show the help (CR key event)
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-02
* 2.1.84
- Added "Command Bar" (experimental)
== kh5325.kim <kh5325.kim@samsung.com> 2013-09-02
* 2.1.83
- fix sdb test case bugs
== ho.namkoong <ho.namkoong@samsung.com> 2013-09-01
* 2.1.82
- Added org.tizen.common.project.adapter extension point for ProjectUtil#getTizenProject()
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-30
* 2.1.81
- change sdb_path
== ho.namkoong <ho.namkoong@samsung.com> 2013-08-30
* 2.1.80
- add sdb test cases
== ho.namkoong <ho.namkoong@samsung.com> 2013-08-30
* 2.1.79
- fixed user template issues
== jihoon80.song <jihoon80.song@samsung.com> 2013-08-29 17:41
* 2.1.78
- Add #!/bin/bash to test-ide.sh
== bonyong.lee <bonyong.lee@samsung.com> 2013-09-23
* 2.1.77
- Modify test package script
== bonyong.lee <bonyong.lee@samsung.com> 2013-09-23
* 2.1.76
- Fixed on-demand install error in multi-profile
== gune.kim <gune.kim@samsung.com> 2013-08-21
* 2.1.75
- Fixed wrong platform name format
== gune.kim <gune.kim@samsung.com> 2013-08-20
* 2.1.74
- Modified profile name format
- Added getCommonPlatformPath()
== gune.kim <gune.kim@samsung.com> 2013-08-20
* 2.1.73
- Changed test result path to tizen-sdk-data
- Removed 'Keyboard Shortcuts' menu
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-19
* 2.1.72
- Refactored wizard to common model
- Added sikuli windows startup script
- Modified to get platform directory
- Updated jQuery Mobile 1.3.2
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-09
* 2.1.71
- Wizard refactorings
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-06
* 2.1.70
- Changed to attribute:test
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-05
* 2.1.69
- Added wizard preferences
- Added common PWComposite
- Added Label to test package
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2013-08-02
* 2.1.68
- Refactoring ui test script
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2013-08-01
* 2.1.67
- Fixed test cases (Attribute:root)
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-01
* 2.1.66
- Fixed NLS messages
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-31
* 2.1.65
- Refactoring as Protex's result
- Resolve license conflict
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-31
* 2.1.64
- Refined test package including lib
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-30
* 2.1.63
- Added test package
- Added sikuli test cases
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-29
* 2.1.62
- Added methods for CSSHover
- Added methods for $(baseNameUpper)
- Refactored FileDialogUtils and overwrite check in generate a certificate
- Cleared password text when p12 file is selected
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-29
* 2.1.61
- Fixed icon, content validation
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-22
* 2.1.60
- Changed remove command
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-22
* 2.1.59
- Added UserLog for checking performance & fixed getRemotePathofDelta() method cannot find remote path when the project's path contains regex
- Added byte character set detect module to log view
- Restored wst Validate menu item
- Common messages for launch
- Modified license file name
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-18
* 2.1.58
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-17
* 2.1.57
- fixed a custom location problem in new wizard
== jihoon80.song <jihoon80.song@samsung.com> 2013-07-12 21:06
* 2.1.56
- fixed some bugs
== jihoon80.song <jihoon80.song@samsung.com> 2013-07-12 19:53
* 2.1.55
- Fixed validation in configuration editor
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-07-04 14:17
* 2.1.54
- Added tizenhwkey handler
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-06-29 19:23
* 2.1.53
- updated sign modules
== jihoon80.song <jihoon80.song@samsung.com> 2013-06-28 20:24
* 2.1.52
- fixed some bugs
== jihoon80.song <jihoon80.song@samsung.com> 2013-06-27 16:09
* 2.1.51
- updated KeyCertificateGenerator.jar
- Modified to use InstallManagerV2.jar instead
- Added Category and performance measurement Name
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-26
* 2.1.50
- Improved checking a multi-app in isRdsMode()
- Renewed secure profile models
- Fixed sdblib and Connection Explorer
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-24
* 2.1.49
- Fixed to proceed when starting sdb is failed (stop deviceMonitor)
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-19
* 2.1.48
- Fixed to proceed when starting sdb is failed
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-19
* 2.1.47
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-19
* 2.1.46
- Fixed sdblib performace bug
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-13
* 2.1.45
- Changed to tizen2.2
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-13
* 2.1.44
- Modified to use changed-install-manager
== DongHee Yang <donghee.yang@samsung.com> 2013-06-11
* 2.1.43
- Fixed to escape the value in sdk.info
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-10
* 2.1.42
- Supports multi-sdk for CLI
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-08
* 2.1.41
- Supports multi-sdk
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-08
* 2.1.40
- Refactoring sdblib and bug fixes
- Fixed RDS push
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-07
* 2.1.39
- Fixed sdb library changing
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-05
* 2.1.38
- Refactoring sdblib
- Changed log level
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-04
* 2.1.37
- Fixed template and copy seperate logic, Fixed mapping wrong location log
- Added AdapterUtil class
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-30
* 2.1.36
- 'web-build'
- Removed tizen-web-ui-fw dependency
- Connection Explorer refactoring
- Removed user logger
- Added unittest project type and decorator
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-29
* 2.1.35
- Fixed tizen-web-ui-fw dependency
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2013-05-28
* 2.1.34
- Fix bug to miss last line in device's response
== bonyong.lee <bonyong.lee@samsung.com> 2013-05-23
* 2.1.33
- Restore ordered lock
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.32
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.31
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.30
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.29
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-22
* 2.1.28
- Removed IProjectInfo (deprecated by ITizenProject)
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-17
* 2.1.27
- The smart launch moved to common-eplugin
== hyunsik.noh <hyunsik.noh@samsung.com> 2013-05-16 19:16
* 2.1.26
- Update mask.png
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-05-15 17:04
* 2.1.25
- Removed unused import
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-10
* 2.1.24
- updated tizen web ui fw to 0.2.29
== jihoon80.song <jihoon80.song@samsung.com> 2013-05-10 18:57
* 2.1.23
- fixed NCDFE for CipherUtil
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-30 11:15
* 2.1.22
- updated web ui fw to 0.2.26
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-29 13:35
* 2.1.21
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-04-25
* 2.1.20
- add build framework.
== taeyoung2.son <taeyoung2.son@samsung.com> 2013-04-24 18:59
* 2.1.19
- updated Tizen Web UI FW to 0.2.25
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-19 20:35
* 2.1.18
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-04-19
* 2.1.17
- Update icon.png
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-04-15 13:40
* 2.1.16
- Added Tizen IDE shortcuts pdf file and menu
== shingil.kang <shingil.kang@samsung.com> 2013-04-10
* 2.1.15
- Fixed template attribute (data-inline)
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-04-07 20:34
* 2.1.14
- Fix command to check device type
- Fixed to use /usr/bin/dlogutil
== kh5325.kim <kh5325.kim@samsung.com> 2013-04-05
* 2.1.13
- support root command
== yoonki.park <yoonki.park@samsung.com> 2013-04-05 11:26
* 2.1.12
- updated tizen web ui fw to 0.2.21
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-04 15:02
* 2.1.11
- Changed the default required version in config.xml's tizen:application tag attribute
- Fixed NPE about the removeFile method in EclipseFileHandler
- Fixed HashSigner bugs
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-03
* 2.1.10
- fixed native incremental sign problems
== jihoon80.song <jihoon80.song@samsung.com> 2013-04-02 14:55
* 2.1.9
- updated web ui fw to 0.2.20
- add executable shell command method for prompt mode change dlogutil path
- Absolute path for pkgcmd and launch_app
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-30
* 2.1.8
- InstallPathConfig folder: tizen2.0 -> tizen2.1
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-27
* 2.1.7
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-24
* 2.1.6
- Update WIDL
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-03-22 11:30
* 2.1.5
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-20
* 2.1.4
- Added AppTrayIcon Feature
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-03-16 17:36
* 2.1.3
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-15
* 2.1.2
- singleton:=true
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-13
* 2.1.1
- support coredump debugging
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-12
* 2.1.0
- 2.1.0 Package
== kh5325.kim <kh5325.kim@samsung.com> 2013-03-08
* 2.0.21
- Fixed CoreException in propertyPages
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-03-07 19:25
* 2.0.20
- added SdbCommand & pkgcmd's exitcode checker
== gune.kim <gune.kim@samsung.com> 2013-03-07 11:39
* 2.0.19
- Added Licence infomation
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-03-01 19:02
* 2.0.18
- Added SWTUtil
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-02-26 16:53
* 2.0.17
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-02-22
* 2.0.16
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-02-20
* 2.0.15
- Fixed CLI application id, package attribute
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-02-19 19:48
* 2.0.14
- Fix bug when check result about changing platform
== hyunsik.noh <hyunsik.noh@samsung.com> 2013-02-19 11:32
* 2.0.13
- Rollback to selecting device by connection explorer
== hyunsik.noh <hyunsik.noh@samsung.com> 2013-02-15 17:42
* 2.0.12
- Fixed ID Validation
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-02-14 10:52
* 2.0.11
- In the case of RDS, the partial directories's permision was changed to "app:app".
== gune.kim <gune.kim@samsung.com> 2013-02-08 10:17
* 2.0.10
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-01-28
* 2.0.9
- re packaging 2.0.8
== hyunsik.noh <hyunsik.noh@samsung.com> 2013-01-23 21:01
* 2.0.8
- fix invalid character for log file name on windows
== hyunsik.noh <hyunsik.noh@samsung.com> 2013-01-23 20:49
* 2.0.7
- updated tizen web ui fw to 0.2.11
== jihoon80.song <jihoon80.song@samsung.com> 2013-01-23 15:58
* 2.0.6
- updated TizenWebUIFW to 0.2.9
== jihoon80.song <jihoon80.song@samsung.com> 2013-01-18 19:34
* 2.0.5
- sync version
== jihoon80.song <jihoon80.song@samsung.com> 2013-01-18 18:19
* 2.0.4
- updated Tizen Web UI FW to 0.2.9
== jihoon80.song <jihoon80.song@samsung.com> 2013-01-18 11:46
* 2.0.3
- Fix bug: plain text cannot be used in signing
== ho.namkoong <ho.namkoong@samsung.com> 2013-01-15
* 2.0.2
- Fix bug: plain text cannot be used in signing
== ho.namkoong <ho.namkoong@samsung.com> 2013-01-15
* 2.0.1
- Merged the latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-01-14
* 2.0.0
- Tizen 2.0 release
== kh5325.kim <kh5325.kim@samsung.com> 2013-01-11
* 1.0.121
- modified SDB's start demon
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2013-01-09
* 1.0.120
- Changed on-demand install path to developer
- modified local port checker
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2013-01-08
* 1.0.119
- fixed ClassNotFoundException for Web CLI
== jihoon80.song <jihoon80.song@samsung.com> 2013-01-04 19:49
* 1.0.118
- Remove RDS's "web not support note" in preference page and project properties page
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-01-04
* 1.0.117
- Merged the latest changes
== changhyun1.lee <changhyun1.lee@samsung.com> 2013-01-02
* 1.0.116
- Add ziputil class
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-12-28
* 1.0.115
- updated sign module for applying UNICODE patch
== jihoon80.song <jihoon80.song@samsung.com> 2012-12-28 16:47
* 1.0.114
- modified constants initial
== gune.kim <gune.kim@samsung.com> 2012-12-27
* 1.0.113
- modified RDS mode check logic RdsPreferencePage#isWebRdsMode() added
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-12-27
* 1.0.112
- Remove eclipse dependency from TizenSigner
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-26
* 1.0.111
- update tizen web ui fw template
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-21 20:45
* 1.0.108
- modifed OnDemandInstall#copyPackage() using sdblib
== mariah <kh5325.kim@samsung.com> 2012-12-18
* 1.0.107
- modifed OnDemandInstall#copyPackage() using sdblib
== mariah <kh5325.kim@samsung.com> 2012-12-18
* 1.0.106
- sync from staging
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-12 15:15
* 1.0.105
- Modified config.xml version attribute
- Fix invalid copy in web-template using cli
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-12 11:46
* 1.0.104
- Added template engine resource file
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-12-10
* 1.0.103
- Template samples added
== bylee <bonyong.lee@samsung.com> 2012-11-25 15:37
* 1.0.98
- Modification - project's RDS preference page support (select project, file, folder)
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-12-06
* 1.0.97
- Remove WPE Preview Tab
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-06 13:39
* 1.0.96
- Add preference link dialog
- Remove CLI's eclipse dependency
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-12-06
* 1.0.95
- Supprot to get already connected device notification when add listener on SmartDevelopmentBridge additionally.
- Add to check device type
- removed on-demand control file & some fefactoring to improve debug trace readability
- add crash report server class
- Insert sys err in TizenSigner for throw error when signing fails
- TID support for log view
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-12-05 11:24
* 1.0.94
- CLI's notify logic fix.
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-11-29
* 1.0.92
- sdblib merged into common-eplugin
== hyunsik.noh <hyunsik.noh@samsung.com> 2012-11-28 16:35
* 1.0.91
- Template With CLI
== bylee <bonyong.lee@samsung.com> 2012-11-25 15:37
* 1.0.86
- fixed bug : use "mkdir" command, if delta is directory.
- sdblib.jar updated : Fix to change permission from 644 to 755 when pushing the file
== mariah <kh5325.kim@samsung.com> 2012-11-22
* 1.0.85
- RDS bundle move from nativecommon-eplugin to common-eplugin
- Added templates
- Hidden unnecessary context run/debug menu on nativeplatform perspective
- Added platform constant of debug path on host side
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-20
* 1.0.84
- unknown
== hyunsik.noh <hyunsik.noh@samsung.com> 2012-11-16 10:24
* 1.0.83
- unknown
== hyunsik.noh <hyunsik.noh@samsung.com> 2012-11-15 20:37
* 1.0.82
- Support for ARM emulator
== mariah <kh5325.kim@samsung.com> 2012-11-15
* 1.0.81
- Changed prompter interface
== jihoon.song <jihoon80.song@samsung.com> 2012-11-07
* 1.0.80
- Updated sign module & added new methods in FileUtil
== jihoon.song <jihoon80.song@samsung.com> 2012-11-07
* 1.0.79
- Rapid Development Support for Native App
== mariah <kh5325.kim@samsung.com> 2012-11-06
* 1.0.78
- Added fade effect option of NotifierDialog
== gyeongseok.seo <gyeongseok.seo@samsung.com> 2012-11-05 19:40
* 1.0.77
- changed a sign module & fixed a missing plugin in feature
== jihoon80.song <jihoon80.song@samsung.com> 2012-11-02 17:04
* 1.0.76
- [Title] Added WTP 3.3.2 Patch
== changhyun1.lee <changhyun1.lee@samsung.com> 2012-10-22 23:49
* 1.0.75
- unknown
== hyunsik.noh <hyunsik.noh@samsung.com> 2012-10-17 21:40
* 1.0.74
- Connection Explorer and Log view enhancement
== mariah <kh5325.kim@samsung.com> 2012-10-17
* 1.0.73
- changelog test
==  <@samsung.com> 2012-10-17 13:40
